Bug 1330489 - mongodb-test is not working with python-pymongo-3.2.1
Summary: mongodb-test is not working with python-pymongo-3.2.1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: mongodb
Version: rh-mongodb26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Marek Skalický
QA Contact: Vaclav Danek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 10:59 UTC by Vaclav Danek
Modified: 2018-05-18 08:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The python27-python-pymongo package has been updated to version 3.2.1 in Red Hat Software Collections 2.2. Note that this version is not fully compatible with the previously shipped version 2.5.2. For details, see https://api.mongodb.org/python/current/changelog.html
Clone Of:
Environment:
Last Closed: 2018-05-18 08:48:32 UTC


Attachments (Terms of Use)
Enables to use smoke.py with new pymongo (3.16 KB, patch)
2016-04-26 12:59 UTC, Marek Skalický
no flags Details | Diff

Description Vaclav Danek 2016-04-26 10:59:51 UTC
Description of problem:
Executing smoke.py throws exception:
Traceback (most recent call last):
  File "./smoke.py", line 50, in <module>
    from pymongo import Connection
ImportError: cannot import name Connection

Version-Release number of selected component (if applicable):
rh-mongodb26-mongodb-test-2.6.9-1.el7.x86_64

How reproducible:
Always

Actual results:
Exception.

Comment 1 Marek Skalický 2016-04-26 12:59:12 UTC
Created attachment 1150968 [details]
Enables to use smoke.py with new pymongo

Comment 2 Marek Skalický 2016-04-26 13:00:50 UTC
Connection class was removed in pymongo 3.0 (https://api.mongodb.org/python/current/changelog.html#mongoclient-changes). This failure is already fixed in MongoDB 2.6.11 minor release (2.6.9 currently in RHSCL).

Patch for smoke.py which fixes this bug is attached.

Comment 3 Honza Horak 2016-04-26 16:42:26 UTC
So, there are two things that can be done before this is fixed in mongodb itself (which might or might not happen, because it is not a big issue for customer), in order to run the test suite -- either using older package for running test-suite or patching the source of the test-suite.

Comment 4 Honza Horak 2016-04-28 09:28:55 UTC
Moving to 2.3.0, because this bug is not that important for end users and we don't update mongodb package in RHSCL 2.2 (just the java driver).

Comment 8 Joe Orton 2018-02-21 16:43:00 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (April 2018) after which customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 9 Joe Orton 2018-05-18 08:48:32 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.